<?php

// Programmiert durch Samuel Wolff
// Getestet durch: Samuel Wolff

namespace ppb\Controller;

use ppb\Library\Msg;
use ppb\Model\BenutzerModel;

class BenutzerController
{

    private $db;

    public function __construct()
    {
        $this->db = new BenutzerModel();
    }

    public function getBenutzer() {
        $result = $this->db->selectBenutzer();
        if (isset($_GET["name"])) {
            if ($result)
                $result = $result[0];
            else
                $result = false;
        }

        return json_encode($result);
    }

    // Updated einen Benutzer
    public function updateBenutzer($elternId, $data)
    {

        $result = $this->db->updateBenutzer($elternId, $data);

        return json_encode($result);

    }

    // Fügt einen Benutzer in die Datenbank hinzu
    public function writeBenutzer($data)
    {
        $result = $this->db->insertBenutzer($data);

        return json_encode($data);
    }


    public function nextId()
    {
        $result = $this->db->nextId();

        return json_encode($result);
    }

    public function anmeldeVersuch()
    {
        $result = $this->db->anmeldeVersuch();

        return json_encode($result);
    }

}

?>